Commercial Catalog
All operations require authentication.
List all offersProduction
Query parameters
Offer merchant
ASIAAUCADEESFRGBIEINITMANLPLPTQCSGSNTNUSWEWSOffer nature
BILLING_PLANPACKREGULARSTRUCTURALCommercial product code
Offer state
ACTIVEDEPRECATEDOffer config fields
Offer type
ATOMICCOMPOSITEHeaders
Pagination cursor
Pagination size
Response
Unique code for the offer
Applicable commercial rating values
Offer description
List of engagements available to subscribe the offer to
Unique identifier of the offer
Offer information based on previous model used for migration to the new model
Offer nature
BILLING_PLANPACKREGULARSTRUCTURALSub offers when type is composite
Product linked to the offer
List of technical requirements of the product linked to the offer
Offer type
ATOMICCOMPOSITEOffer validity information
Offer version, increase on update
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ commercialCatalog/ offers \
-H "authorization: Bearer $OVH_TOKEN"[ { "code": "string", "commercialRatingValues": [ { "invoiceLabels": [ { "label": "string", "language": "cs_CZ" } ], "ratingValue": { "prices": [ { "amount": null, "currencyCode": null } ], "type": "PRICE" } } ], "descriptions": [ { "language": "cs_CZ", "longLabel": "string", "shortLabel": "string" } ], "engagements": [ { "autoReactivation": true, "validDuration": "string" } ], "id": "string", "legacy": { "blobs": { "content": { "technical": { "bandwidth": { "guaranteed": null, "isMax": null, "level": null, "max": null, "maxUnit": null, "unit": null, "unlimited": null }, "connection": { "clients": null, "total": null }, "connectionPerSeconds": { "total": null, "unit": null }, "cpu": { "brand": null, "cores": null, "frequency": null, "maxFrequency": null, "model": null, "threads": null, "type": null }, "ephemeralLocalStorage": { "disks": null }, "gpu": { "memory": null, "model": null, "number": null, "performance": null }, "memory": { "interface": null, "size": null, "sizeUnit": null }, "name": "string", "nodes": { "number": null }, "nvme": { "disks": null }, "os": { "family": null }, "requestPerSeconds": { "total": null, "unit": null }, "storage": { "disks": null, "raid": null }, "throughput": { "level": null }, "volume": { "capacity": null, "iops": null }, "vrack": { "guaranteed": null, "isMax": null, "level": null, "max": null, "maxUnit": null, "unit": null, "unlimited": null } } } }, "catalog": { "id": 0, "name": "string" }, "plan": "string" }, "nature": "BILLING_PLAN", "offers": [ { "commercialOffer": "string", "max": 0, "min": 0, "resourceDeliveryQuantity": 0 } ], "product": { "commercialProduct": { "code": "string", "descriptions": [ { "language": "cs_CZ", "longLabel": "string", "shortLabel": "string" } ] }, "max": 0, "min": 0 }, "technicalRequirements": [ { "default": "string", "name": "string", "values": [ "string" ] } ], "type": "ATOMIC", "validity": { "eolDate": "2024-01-01T12:00:00Z", "eosDate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z" }, "version": 0 }]
Get details of an offerProduction
Path parameters
Id
Response
Unique code for the offer
Applicable commercial rating values
Offer description
List of engagements available to subscribe the offer to
Unique identifier of the offer
Offer information based on previous model used for migration to the new model
Offer nature
BILLING_PLANPACKREGULARSTRUCTURALSub offers when type is composite
Product linked to the offer
List of technical requirements of the product linked to the offer
Offer type
ATOMICCOMPOSITEOffer validity information
Offer version, increase on update
Example uses id = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ commercialCatalog/ offers/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "code": "string", "commercialRatingValues": [ { "invoiceLabels": [ { "label": "string", "language": "cs_CZ" } ], "ratingValue": { "prices": [ { "amount": 0, "currencyCode": "AUD" } ], "type": "PRICE" } } ], "descriptions": [ { "language": "cs_CZ", "longLabel": "string", "shortLabel": "string" } ], "engagements": [ { "autoReactivation": true, "validDuration": "string" } ], "id": "string", "legacy": { "blobs": { "content": { "technical": { "bandwidth": { "guaranteed": true, "isMax": true, "level": 0, "max": 0, "maxUnit": "string", "unit": "string", "unlimited": true }, "connection": { "clients": { "concurrency": null, "number": null }, "total": 0 }, "connectionPerSeconds": { "total": 0, "unit": "string" }, "cpu": { "brand": "string", "cores": 0, "frequency": 0, "maxFrequency": 0, "model": "string", "threads": 0, "type": "string" }, "ephemeralLocalStorage": { "disks": [ null ] }, "gpu": { "memory": { "interface": null, "size": null, "sizeUnit": null }, "model": "string", "number": 0, "performance": 0 }, "memory": { "interface": "string", "size": 0, "sizeUnit": "string" }, "name": "string", "nodes": { "number": 0 }, "nvme": { "disks": [ null ] }, "os": { "family": "string" }, "requestPerSeconds": { "total": 0, "unit": "string" }, "storage": { "disks": [ null ], "raid": "string" }, "throughput": { "level": 0 }, "volume": { "capacity": { "max": null }, "iops": { "guaranteed": null, "level": null, "max": null, "maxUnit": null, "unit": null } }, "vrack": { "guaranteed": true, "isMax": true, "level": 0, "max": 0, "maxUnit": "string", "unit": "string", "unlimited": true } } } }, "catalog": { "id": 0, "name": "string" }, "plan": "string" }, "nature": "BILLING_PLAN", "offers": [ { "commercialOffer": "string", "max": 0, "min": 0, "resourceDeliveryQuantity": 0 } ], "product": { "commercialProduct": { "code": "string", "descriptions": [ { "language": "cs_CZ", "longLabel": "string", "shortLabel": "string" } ] }, "max": 0, "min": 0 }, "technicalRequirements": [ { "default": "string", "name": "string", "values": [ "string" ] } ], "type": "ATOMIC", "validity": { "eolDate": "2024-01-01T12:00:00Z", "eosDate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z" }, "version": 0}